Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Portage Wants to Downgrade....
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
rabbit
Tux's lil' helper
Tux's lil' helper


Joined: 02 Mar 2003
Posts: 122
Location: Clarkson University

PostPosted: Sun Oct 12, 2003 9:37 pm    Post subject: Portage Wants to Downgrade.... Reply with quote

About a week ago I upgraded portage to -r10, and now every time I run an emerge -Uupv world to see what I can upgrade, I get this:

Code:
rabbit root # emerge -Uupv world
 
These are the packages that I would merge, in order:
 
Calculating world dependencies ...done!
[ebuild     U ] sys-apps/portage-2.0.49-r10 [2.0.49-r3] -build
*** Portage will stop merging at this point and reload itself,
    recalculate dependencies, and complete the merge.


I emerge sync-ed again which didn't fix the problem. I checked my package.mask file too to see if I'm using an unstable version of portage, but from what I can tell it's not. This is what's in the package.mask:

Code:
# <carpaski@@gentoo.org> (8 Oct 2003)
# python-2.2 python-2.3 integration ebuild
>=sys-apps/portage-2.0.49-r11


I'm not sure where to proceed from here... I really don't want to downgrade portage, but if that'll fix it then I'll go for it.
Back to top
View user's profile Send private message
agent_jdh
Veteran
Veteran


Joined: 08 Aug 2002
Posts: 1778
Location: Scotland

PostPosted: Sun Oct 12, 2003 9:45 pm    Post subject: Reply with quote

If you really don't want to downgrade, and maybe there is some good reason for Gentoo to want to downgrade portage, the best thing you can probably do is just wait until a newer version is available.
_________________
Jingle Jangle Jewellery
Back to top
View user's profile Send private message
rabbit
Tux's lil' helper
Tux's lil' helper


Joined: 02 Mar 2003
Posts: 122
Location: Clarkson University

PostPosted: Sun Oct 12, 2003 10:37 pm    Post subject: Reply with quote

Nevermind... I must be dyslexic. It wanted to UPGRADE -r3 to -r10. I coulda sworn I already had -r10...
Back to top
View user's profile Send private message
agent_jdh
Veteran
Veteran


Joined: 08 Aug 2002
Posts: 1778
Location: Scotland

PostPosted: Sun Oct 12, 2003 11:03 pm    Post subject: Reply with quote

rabbit wrote:
Nevermind... I must be dyslexic. It wanted to UPGRADE -r3 to -r10. I coulda sworn I already had -r10...


Well so am I too then :) , misread your post...
_________________
Jingle Jangle Jewellery
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum